Name:           sbuild
Version:        0.78.0
Release:        1%{?dist}
Summary:        Tool for building Debian binary packages from Debian sources

License:        GPLv2+ and GPLv3+
URL:            https://salsa.debian.org/debian/%{name}
Source:         http://deb.debian.org/debian/pool/main/s/%{name}/%{name}_%{version}.orig.tar.xz
BuildArch:      noarch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  perl(Dpkg)
BuildRequires:  perl(Filesys::Df)
BuildRequires:  perl(IO::Zlib)

Requires:       perl(Dpkg)
Requires:       perl(Filesys::Df)
Requires:       perl(IO::Zlib)


%description
The sbuild suite of programs (buildd and sbuild) are used to build binary
packages from source packages. sbuild does the actual package building.

sbuild uses chroots to build packages, which act as virtual, minimal
operating system installations dedicated to package building. This means
that a number of environments may be used for building simultaneously on
the same machines, for example stable, testing, unstable and experimental.
When coupled with schroot to create snapshots of chroots, sbuild may be
used to build many packages in parallel. A chroot environment allows
packages to be built in a controlled, clean environment. sbuild installs
only essential and build-essential packages, plus those in the package
build dependencies. 


%prep
%autosetup


%build
autoreconf -i
%configure
%make_build


%install
%make_install
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}


%files
%license COPYING
%doc README AUTHORS
%{_bindir}/*
%{_datadir}/*
%{_pkgdocdir}
%{_sbindir}/*
%{_sysconfdir}/*
%{_localstatedir}/lib/%{name}


%pre                                 
getent group %{name} >/dev/null || groupadd -r %{name}
getent group _apt >/dev/null || groupadd -r _apt

getent passwd _apt >/dev/null ||
useradd -r -g _apt -d /dev/null -s /sbin/nologin \
        -c "sbuild unprivileged user" _apt

exit 0

%changelog
* Mon Feb 18 2018 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 0.78.0-1
- Initial spec
